### Method

# FwupdPlugin TpmEventlogItem add_checksum

since: 2.1.1

#### Declaration [src]

    void
    fu_tpm_eventlog_item_add_checksum (
      FuTpmEventlogItem* self,
      FuTpmAlg alg,
      GBytes* checksum
    )

#### Description [src]

Adds the checksum of a specific type.

Available since: 2.1.1

#### Parameters

`alg`

  Type: `FuTpmAlg`

  A `FuTpmAlg`, e.g. `FU_TPM_ALG_SHA1`.

`checksum`

  Type: `GBytes`

  A `GBytes` of the raw checksum.

  The data is owned by the caller of the method.